| LogDoctor 4.00 Parse Apache2/Nginx/IIS logs and view dinamically generated statistics

Loading...
Searching...
No Matches
Signals | Public Member Functions | Private Slots | Private Member Functions | List of all members
Crapup Class Referencefinal

Crapup. More...

`#include <crapup.h>`

Inheritance diagram for Crapup:

## Signals
void | abortRequest ()
| Emitted to abort an on-going request.

## Public Member Functions
void | versionCheck (const float current_version)
| Performs a version check.

## Private Slots
void | closeEvent (QCloseEvent *event) override
| Override.
void | requestTimeout ()
| Called when a request's times out.
void | rotateImg ()
| Rotates the 'checking' image.

## Private Member Functions
void | deleteReply ()
| Deletes the reply in a safe way.

## Detailed Description

Crapup.

## Member Function Documentation

## ◆ requestTimeout

void Crapup::requestTimeout | ( |  | ) |
| private slot

Called when a request's times out.

See also
  deleteReply(), abortRequest()

## ◆ versionCheck()

void Crapup::versionCheck | ( | const float | current_version | ) |

Performs a version check.

Parameters

  current_version | The running version of LogDoctor

Exceptions

  GenericException |

The documentation for this class was generated from the following files:

- logdoctor/modules/crapup/crapup.h
- logdoctor/modules/crapup/crapup.cpp